Dukascopy
 
 
Wiki JStore Search Login

Update JForex 3 include Guava: Google Core Libraries For Java version >=23.6.1
 Post subject: Update JForex 3 include Guava: Google Core Libraries For Java version >=23.6.1 Post rating: 0   New post Posted: Sun 03 May, 2020, 18:46 

User rating: 0
Joined: Sun 03 May, 2020, 17:30
Posts: 1
Location: JamaicaJamaica
Request: change com.google.guava:guava:19.0 to com.google.guava:guava:>=20.0
Example:
<!-- https://mvnrepository.com/artifact/com.google.guava/guava -->
<dependency>
    <groupId>com.google.guava</groupId>
    <artifactId>guava</artifactId>
    <version>19.0</version>
</dependency>

becomes
<!-- https://mvnrepository.com/artifact/com.google.guava/guava -->
<dependency>
    <groupId>com.google.guava</groupId>
    <artifactId>guava</artifactId>
    <version>23.0</version>
</dependency>

All java based JForex 3 Trading Platforms (JForex 3, JForex 3 Webstart, JForex 3 SDK) have dependency on Google Guava version 19.0, (released on 2015-12-09, quite old). This is missing package common.gaph for Graph support introduced in v20.0.

I working an indicator based on multiple instruments and a graph would easy capture the relationships that exist between them:

Use case: I can check for market dislocation by checking sequence of pairs.

Example: USDCHF = USDJPY*EURGBP*GBPCHF/EURJPY


 
 Post subject: Re: Update JForex 3 include Guava: Google Core Libraries For Java version >=23.6.1 Post rating: 0   New post Posted: Tue 26 May, 2020, 17:30 
User avatar

User rating:
Joined: Fri 31 Aug, 2007, 09:17
Posts: 6115
Hello.

You can include needed library to your compiled .jfx file
https://www.dukascopy.com/wiki/en/devel ... -libraries

Kind regards.


 

Jump to:  

cron
  © 1998-2011 Dukascopy® Bank SA
On-line Currency forex trading with Swiss Forex Broker - ECN Forex Brokerage,
Managed Forex Accounts, introducing forex brokers, Currency Forex Data Feed and News
Currency Forex Trading Platform provided on-line by Dukascopy.com